Name:        bitstream-vera-sans-mono-nerd-fonts
Version:     3.4.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     Bitstream-Vera
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/BitstreamVeraSansMono.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 BitstromWeraNerdFont-BoldOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/BitstromWeraNerdFont-BoldOblique.ttf
install -Dm644 BitstromWeraNerdFontMono-BoldOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/BitstromWeraNerdFontMono-BoldOblique.ttf
install -Dm644 BitstromWeraNerdFontPropo-BoldOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/BitstromWeraNerdFontPropo-BoldOblique.ttf
install -Dm644 BitstromWeraNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/BitstromWeraNerdFont-Bold.ttf
install -Dm644 BitstromWeraNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/BitstromWeraNerdFontMono-Bold.ttf
install -Dm644 BitstromWeraNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/BitstromWeraNerdFontPropo-Bold.ttf
install -Dm644 BitstromWeraNerdFont-Oblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/BitstromWeraNerdFont-Oblique.ttf
install -Dm644 BitstromWeraNerdFontMono-Oblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/BitstromWeraNerdFontMono-Oblique.ttf
install -Dm644 BitstromWeraNerdFontPropo-Oblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/BitstromWeraNerdFontPropo-Oblique.ttf
install -Dm644 BitstromWeraNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/BitstromWeraNerdFont-Regular.ttf
install -Dm644 BitstromWeraNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/BitstromWeraNerdFontMono-Regular.ttf
install -Dm644 BitstromWeraNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/BitstromWeraNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/BitstromWeraNerdFont-BoldOblique.ttf
%{_datadir}/fonts/%{name}/BitstromWeraNerdFontMono-BoldOblique.ttf
%{_datadir}/fonts/%{name}/BitstromWeraNerdFontPropo-BoldOblique.ttf
%{_datadir}/fonts/%{name}/BitstromWeraNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/BitstromWeraNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/BitstromWeraNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/BitstromWeraNerdFont-Oblique.ttf
%{_datadir}/fonts/%{name}/BitstromWeraNerdFontMono-Oblique.ttf
%{_datadir}/fonts/%{name}/BitstromWeraNerdFontPropo-Oblique.ttf
%{_datadir}/fonts/%{name}/BitstromWeraNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/BitstromWeraNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/BitstromWeraNerdFontPropo-Regular.ttf
%license "Bitstream Vera License.txt"
%doc "README.md"

%changelog
* Sat May 10 2025 Kyle Bloom <kylejbloom@gmail.com> - 3.4.0-1
- Updated to version v3.4.0

* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
